// SPDX-License-Identifier: GPL-2.0

#if LINUX_VERSION_IS_GEQ(4,11,0)
#include <uapi/linux/sched/types.h>
#endif
#include <linux/sched.h>
#include <linux/export.h>

/*
 * For when you don't much care about FIFO, but want to be above SCHED_NORMAL.
 */
void sched_set_fifo_low(struct task_struct *p)
{
	struct sched_param sp = { .sched_priority = 1 };
	WARN_ON_ONCE(sched_setscheduler_nocheck(p, SCHED_FIFO, &sp) != 0);
}
EXPORT_SYMBOL_GPL(sched_set_fifo_low);

